#ifndef RXTHRESHOLDBASEDONCONFIGREGISTERALGORITHM_H
#define RXTHRESHOLDBASEDONCONFIGREGISTERALGORITHM_H

#include "AnalysisAlgorithm.h"

namespace SctAnalysis {
    /**
       Algorithm for RxThresholdBasedOnConfigRegister Test.
    */
class RxThresholdBasedOnConfigRegisterAlgorithm : public AnalysisAlgorithm {
public:
    virtual bool canAnalyze() const;
    virtual void analyze();
    virtual void loadData();
    virtual shared_ptr<SctData::TestResult> createTestResult() const;
    virtual boost::shared_ptr<AnalysisAlgorithm> clone(const TestData& testData, const string& moduleName) const throw();
    /** 
	constructor 
     */
    RxThresholdBasedOnConfigRegisterAlgorithm(const TestData& testData, const string& moduleName, const AnalysisAlgorithm& alg) throw() : AnalysisAlgorithm(testData, moduleName, alg) {}
    /** 
	destructor 
     */
    virtual ~RxThresholdBasedOnConfigRegisterAlgorithm() throw() {}
    
private:
    RxThresholdBasedOnConfigRegisterAlgorithm() {}
    static bool inMap;
};
}

#endif //RXTHRESHOLDBASEDONCONFIGREGISTERALGORITHM_H
