#include "../src/AnalysisServiceInterface.hh"
#include <ipc/object.h>
#include "Sct/SctNames.h"
#include "Sct/Exception.h"
#include <string>

int main(int argc, char**argv){
    Sct::setExceptionHandlers(argv[0]);
    using namespace std;
    using Sct::SctNames;  
    
    cout << "AnalysisService purge:"<<endl;
    //AnalysisServiceIStatus status;
    
    cout <<"... looking in partition ..."<<SctNames::getPartitionName()<<ends;
    IPCPartition& p = SctNames::getPartition();
    
    cout <<" ... getting a handle ..."<<ends;
    AnalysisServiceI::AnalysisServiceInterface_var handle = 
	p.lookup<AnalysisServiceI::AnalysisServiceInterface>(AnalysisServiceI::AnalysisServiceInterface::instanceName/*, AnalysisServiceI_T_AnalysisServiceInterface::ILUClassRecord*/);
    
    if (CORBA::is_nil(handle)){ cerr<<"Error: handle==0"<<endl; return -1;}
    
    cout <<"Got Handle..."<<endl;
    
    handle->purge();

    cout << " returning " << endl;
    return 0;
}
