#include "CorbaExceptionWrapper.h"

namespace Sct {

//CorbaExceptionWrapper methods
CorbaExceptionWrapper::CorbaExceptionWrapper(const CORBA::Exception& error, const string& msg, const string& file, int line) throw() {
    initialize("CORBA_EXCEPTION", "Sct::CorbaExceptionWrapper", msg, 0, file, line);
    name=error._name();
}

CorbaExceptionWrapper::~CorbaExceptionWrapper() throw() {}

shared_ptr<Throwable> CorbaExceptionWrapper::clone() const throw() {
    return shared_ptr<Throwable>(new CorbaExceptionWrapper(*this));
}

string CorbaExceptionWrapper::getMessage() const throw() {
    return m_name;
}


}
