#include "RxThresholdBasedOnConfigRegisterTestResult.h"
#include "NullVariable.h"
#include "DefaultVariable.h"
#include <CommonWithDsp/ABCD/ABCDscans.h>

///@todo check that ST_COMPRESSION is really the right variable!

namespace SctData{
  
  const std::string rangedVectorName = "RxThresholdBasedOnConfigRegisterStreamResult";

  RxThresholdBasedOnConfigRegisterTestResult::RxThresholdBasedOnConfigRegisterTestResult() throw() : streamResults(rangedVectorName) {
    streamResults.resize(nLinkModule);
  }
    
  RxThresholdBasedOnConfigRegisterTestResult::RxThresholdBasedOnConfigRegisterTestResult(unsigned int runNumber, const string& moduleName) throw()
    : TestResult(runNumber, moduleName, NullVariable::instance(), 
                 *DefaultVariable::instance(ST_COMPRESSION)), 
      streamResults(rangedVectorName){
    streamResults.resize(nLinkModule);
  }
    
  RxThresholdBasedOnConfigRegisterTestResult::~RxThresholdBasedOnConfigRegisterTestResult() throw() {}

  string RxThresholdBasedOnConfigRegisterTestResult::getClassName() const throw(){
    return string("SctData::RxThresholdBasedOnConfigRegisterTestResult");
  }

  const RxThresholdBasedOnConfigRegisterTestResult::StreamResult& RxThresholdBasedOnConfigRegisterTestResult::getStreamResult(const unsigned index) const{
    return streamResults[index];
  }
    
  RxThresholdBasedOnConfigRegisterTestResult::StreamResult& RxThresholdBasedOnConfigRegisterTestResult::getStreamResult(const unsigned index){
    return streamResults[index];
  }

}
