SI = GuiComponents.System.SystemInterface.getInstance();
api = SI.getSctApi();
cal = SI.getCalibrationController();
scanRequest = cal.getScanLibrary().rawScan(10);
scan = scanRequest.getScan();
scanRequest.setWidth(3300);

sdesc = Sct.ScanDescriptors.getInstance();
api.modifyABCDVar(sdesc.valueFor("ST_VTHR"), 0.0);

scan.configure((short)sdesc.valueFor("ST_ELAPSED"), 0.0, 10.0, 1.0);

cal.doScan(scanRequest);
