#ifndef TESTLIBRARY_H
#define TESTLIBRARY_H

#include "CalibrationController.hh"
#include <boost/utility.hpp>
#include <ipc/object.h>

namespace SctCalibrationController {
namespace Ipc {

class TestRequestImpl;

/*
 class MinimalTestLibraryInterface {
 public:
    virtual TestRequestImpl& responseCurve() const = 0;
    virtual TestRequestImpl& threePointGain() const = 0;
    virtual TestRequestImpl& strobeDelay() const = 0;   
    virtual TestRequestImpl& noiseOccupancy() const = 0; 
    virtual TestRequestImpl& pipeline() const = 0;
    virtual TestRequestImpl& fullBypassBarrel() const = 0;
    virtual TestRequestImpl& fullBypassEndcap() const = 0;
    virtual TestRequestImpl& trimRange() const = 0;   
    virtual TestRequestImpl& timeWalk() const = 0;
    virtual TestRequestImpl& nmask() const = 0;
    virtual TestRequestImpl& doubleTriggerNoise() const = 0;
    virtual TestRequestImpl& synchTriggerNoise() const = 0;
    
    virtual TestRequestImpl& rxDelay() const = 0;
    virtual TestRequestImpl& rxThreshold() const = 0;
    Sct_CalibrationController_T_TestRequest * rxThresholdBasedOnConfigRegister (Sct_CalibrationControllerStatus *_status);
 };

 typedef MinimalTestLibraryInterface MinimalTestLibrary;

*/

class TestLibrary : 
  public IPCObject<POA_Sct_CalibrationController::TestLibrary>,
  boost::noncopyable {
public:
  protected:
    //const boost::shared_ptr<MinimalTestLibrary> m_minimalTestLibrary;
    /*
    // Nice interface
    // This now replaced by the MinimalTestLibraryInterface pointer
    public:
    virtual TestRequestImpl& responseCurve() const = 0;
    virtual TestRequestImpl& threePointGain() const = 0;
    virtual TestRequestImpl& strobeDelay() const = 0;   
    virtual TestRequestImpl& noiseOccupancy() const = 0; 
    virtual TestRequestImpl& pipeline() const = 0;
    virtual TestRequestImpl& fullBypassBarrel() const = 0;
    virtual TestRequestImpl& fullBypassEndcap() const = 0;
    virtual TestRequestImpl& trimRange() const = 0;   
    virtual TestRequestImpl& timeWalk() const = 0;
    virtual TestRequestImpl& nmask() const = 0;  
    virtual TestRequestImpl& doubleTriggerNoise() const = 0;
    virtual TestRequestImpl& synchTriggerNoise() const = 0;
    virtual TestRequestImpl& rxDelay() const = 0;
    virtual TestRequestImpl& rxThreshold() const = 0;
    virtual TestRequestImpl& rxThresholdBasedOnConfigRegister() const = 0;
    */
protected:
    TestLibrary();
};
}    
}

#endif //TESTLIBRARY_H
