#include "../service/FitterInterface.hh"
#include "ipc/object.h"
#include "Sct/SctNames.h"
#include "Sct/Exception.h"

int main(int argc, char**argv){
    Sct::setExceptionHandlers(argv[0]);
    using namespace std;
    using Sct::SctNames;  
    
    //LESTER DElete this line: FitterIStatus status; 
    IPCPartition& p = SctNames::getPartition();
    //LESTER Del me IPCObjectVar<FitterI_T_FitterInterface> handle = 
    FitterI::FitterInterface_var handle = 
	p.lookup<FitterI::FitterInterface>(FitterI::FitterInterface::instanceName);    
    if (CORBA::is_nil(handle)){ cerr<<"Error: handle==0"<<endl; return -1;}
    
    handle->fitAll(/*&status*/);
    return 0;
}
