/*
 * SCTInfo.java
 *
 * Created on 24 June 2003, 13:49
 */

package DisplayGUI;

/**
 *
 * @author  robinson
 */
public interface SCTInfo {

   String[] SCTViewNames = {"Barrel 3","Barrel 4","Barrel 5","Barrel 6",
"EndCap 1a","EndCap 2a","EndCap 3a","EndCap 4a","EndCap 5a","EndCap 6a","EndCap 7a","EndCap 8a","EndCap 9a",
"EndCap 1c","EndCap 2c","EndCap 3c","EndCap 4c","EndCap 5c","EndCap 6c","EndCap 7c","EndCap 8c","EndCap 9c"
};
   String[] SCTSerialNumbers = {"20220300100003","20220300100004","20220300100005","20220300100006",
   "20220000000000",
   "20220000000000",
   "20220000000000",
   "20220000000000",
   "20220000000000",
   "20220000000000",
   "20220000000000",
   "20220000000000",
   "20220000000000",
   "20220000000000",
   "20220000000000",
   "20220000000000",
   "20220000000000",
   "20220000000000",
   "20220000000000",
   "20220000000000",
   "20220000000000",
   "20220000000000"};

   static final int Barrel3=0;
   static final int Barrel4=1;
   static final int Barrel5=2;
   static final int Barrel6=3;
   static final int EndCap1a=4;
   static final int EndCap2a=5;
   static final int EndCap3a=6;
   static final int EndCap4a=7;
   static final int EndCap5a=8;
   static final int EndCap6a=9;
   static final int EndCap7a=10;
   static final int EndCap8a=11;
   static final int EndCap9a=12;
   static final int EndCap1c=13;
   static final int EndCap2c=14;
   static final int EndCap3c=15;
   static final int EndCap4c=16;
   static final int EndCap5c=17;
   static final int EndCap6c=18;
   static final int EndCap7c=19;
   static final int EndCap8c=20;
   static final int EndCap9c=21;

   String[] moduleGroupNames = {"ModuleGroup 0","ModuleGroup 1"};

// BarrelModuleCell[row][moduleNo]; row 0 to 175, moduleNo 0 to 11
   int totalBarrelRows=176;
   int sctViews = 22;   //< Number of SCT components views: 4 barrels, 18 endcaps
//   ModuleCell[][] moduleCells = new ModuleCell[totalBarrelRows][];
   int[] moduleCounts = {384,480,576,672,   //< number of modules in each barrel
92,132,132,132,132,132,92,92,52,            //< number of modules in endcaps 1a,2a,3a,4a,5a,6a,7a,8a,9a
92,132,132,132,132,132,92,92,52};           //< number of modules in endcaps 1c,2c,3c,4c,5c,6c,7c,8c,9c

// the number of GraphicalCells offsets for each barrel
   int yOffSetCount[] = {12,8,4,0};
   int barrelRowOffset[] = {0,32,72,120};
   int barrelRows[] = {32,40,48,56};

    
}
